System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.Control System.Web.UI.ITextControl System.ComponentModel.ToolboxItem(false)

The class persists the value of its property to view state.

Retains data-binding expressions and static literal text. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  Defines the size of the array to create for storing static literal strings.
  Defines the size of the array to create for storing data-bound literal strings.
  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.ControlCollection To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Assigns a string value to an array containing data-bound values.

  The position in an array at which to retain the parameter value. A containing the value for the data-bound expression. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Assigns a string value to an array containing static values.

  The position in an array at which to retain the parameter value. A containing the value for the data-bound expression. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.String To be added.

  This implementation of the interface returns the value of the property. The value of the property is persisted in the view state.

  The object implements but does not support the set method on the property. All attempts to use this method will return a exception.

  Gets or sets the text content of the object.

- Property
  System.String To be added: an object of type 'string'

  The class persists the value of its property to view state.

  Gets the text content of the object.

  1.0.5000.0
  2.0.0.0